Index: palm/trunk/SOURCE/outflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/outflow_turbulence.f90	(revision 4181)
+++ palm/trunk/SOURCE/outflow_turbulence.f90	(revision 4182)
@@ -25,5 +25,11 @@
 ! -----------------
 ! $Id: outflow_turbulence.f90 3241 2018-09-12 15:02:00Z raasch $
+! Corrected "Former revisions" section
+! 
+! 3241 2018-09-12 15:02:00Z raasch
 ! unused variables removed
+!
+! 2050 2016-11-08 15:00:55Z gronemeier
+! Initial version
 ! 
 !
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 4181)
+++ palm/trunk/SOURCE/palm.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4039 2019-06-18 10:32:41Z suehring
 ! Rename subroutines in module for diagnostic quantities
 ! 
@@ -45,5 +48,8 @@
 ! 3648 2019-01-02 16:35:46Z suehring
 ! Rename subroutines for surface-data output
-! 
+!
+! Revision 1.1  1997/07/24 11:23:35  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 4181)
+++ palm/trunk/SOURCE/parin.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4176 2019-08-20 14:10:41Z oliver.maas
 ! added recycle_absolute_quantities to initialization_parameters namelist
 ! 
@@ -58,5 +61,8 @@
 ! 3649 2019-01-02 16:52:21Z suehring
 ! Delete debug-print statements
-! 
+!
+! Revision 1.1  1997/07/24 11:22:50  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4182)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -51,5 +54,7 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! unused variables removed
-! 
+!
+! 138 2007-11-28 10:03:58Z letzel
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/pmc_child_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_child_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/pmc_child_mod.f90	(revision 4182)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3964 2019-05-09 09:48:32Z suehring
 ! Remove unused variable
 ! 
@@ -41,10 +44,11 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! explicit kind settings
-! 
+!
+! 1762 2016-02-25 12:31:13Z hellstea
+! Initial revision by K. Ketelsen
 !
 ! Description:
 ! ------------
-!
-! Child part of Palm Model Coupler
+!> Child part of Palm Model Coupler
 !------------------------------------------------------------------------------!
 
Index: palm/trunk/SOURCE/pmc_general_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_general_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/pmc_general_mod.f90	(revision 4182)
@@ -22,8 +22,11 @@
 ! ------------------
 ! 
-!
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+!
+! 3945 2019-05-02 11:29:27Z raasch
 !
 ! 2019-04-24 17:31:34Z suehring
@@ -33,4 +36,6 @@
 ! Determine number of coupled arrays dynamically.
 ! 
+! 1762 2016-02-25 12:31:13Z hellstea
+! Initial revision by K. Ketelsen
 !
 ! Description:
Index: palm/trunk/SOURCE/pmc_handle_communicator_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/pmc_handle_communicator_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3888 2019-04-12 09:18:10Z hellstea
 ! Missing MPI_BCAST of anterpolation_buffer_width added.
 ! 
@@ -38,4 +41,6 @@
 ! nestpar renamed to nesting_parameters
 ! 
+! 1762 2016-02-25 12:31:13Z hellstea
+! Initial revision by K. Ketelsen
 !
 ! Description:
Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -142,4 +145,6 @@
 ! Remove unused variable simulated_time
 ! 
+! 1762 2016-02-25 12:31:13Z hellstea
+! Initial revision by A. Hellsten
 !
 ! Description:
Index: palm/trunk/SOURCE/pmc_mpi_wrapper_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_mpi_wrapper_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/pmc_mpi_wrapper_mod.f90	(revision 4182)
@@ -26,6 +26,11 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Extent interface by logical buffer 
 ! 
+! 1762 2016-02-25 12:31:13Z hellstea
+! Initial revision by K. Ketelsen
 !
 ! Description:
Index: palm/trunk/SOURCE/pmc_parent_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 4182)
@@ -26,14 +26,18 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3962 2019-05-08 19:40:33Z suehring
 ! Bugfixes in initial settings of child and parent communication patterns. 
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! explicit kind settings
-! 
+!
+! 1762 2016-02-25 12:31:13Z hellstea
+! Initial revision by K. Ketelsen
 !
 ! Description:
 ! ------------
-!
-! Parent part of Palm Model Coupler
+!> Parent part of Palm Model Coupler
 !------------------------------------------------------------------------------!
 
Index: palm/trunk/SOURCE/pmc_particle_interface.f90
===================================================================
--- palm/trunk/SOURCE/pmc_particle_interface.f90	(revision 4181)
+++ palm/trunk/SOURCE/pmc_particle_interface.f90	(revision 4182)
@@ -26,4 +26,7 @@
 ! -----------------! 
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4043 2019-06-18 16:59:00Z schwenkel
 ! Remove min_nr_particle
 ! 
@@ -37,5 +40,7 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! unused variables removed
-! 
+!
+! Initial Version (by Klaus Ketelsen)
+!
 ! 
 ! Description:
Index: palm/trunk/SOURCE/poisfft_mod.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/poisfft_mod.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3690 2019-01-22 22:56:42Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/07/24 11:24:14  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/poismg_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/poismg_mod.f90	(revision 4182)
@@ -25,9 +25,21 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3725 2019-02-07 10:11:02Z raasch
 ! unused subroutine removed
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! unnecessary check eliminated
-! 
+!
+! Following optimisations have been made:
+! - vectorisation (for Intel-CPUs) of the red-black algorithm by resorting
+!   array elements with even and odd indices
+! - explicit boundary conditions for building walls removed (solver is
+!   running through the buildings
+! - reduced data transfer in case of ghost point exchange, because only
+!   "red" or "black" data points need to be exchanged. This is not applied
+!   for coarser grid levels, since for then the transfer time is latency bound
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/poismg_noopt_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! unused variables removed
-! 
+!
+! Revision 1.1  2001/07/20 13:10:51  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/posix_calls_from_fortran.f90
===================================================================
--- palm/trunk/SOURCE/posix_calls_from_fortran.f90	(revision 4181)
+++ palm/trunk/SOURCE/posix_calls_from_fortran.f90	(revision 4182)
@@ -25,6 +25,11 @@
 ! -----------------
 ! $Id: posix_calls_from_fortran.f90 2696 2017-12-14 17:12:51Z kanani $
+! Corrected "Former revisions" section
+! 
+! 2696 2017-12-14 17:12:51Z kanani
 ! add variable description
 ! 
+! 1986 2016-08-10 14:07:17Z gronemeier
+! Initial revision
 ! 
 ! Description:
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 4181)
+++ palm/trunk/SOURCE/pres.f90	(revision 4182)
@@ -25,9 +25,15 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4015 2019-06-05 13:25:35Z raasch
 ! variable child_domain_nvn eliminated
 ! 
 ! 3849 2019-04-01 16:35:16Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/07/24 11:24:44  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 4181)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Renamed output variables
-! 
+!
+! Revision 1.1  1997/09/19 07:45:22  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 4181)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4110 2019-07-22 17:05:21Z suehring
 ! pass integer flag array to WS scalar advection routine which is now necessary
 ! as the flags may differ for scalars, e.g. pt can be cyclic while chemical
@@ -98,5 +101,8 @@
 ! 3684 2019-01-20 20:20:58Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  2000/04/13 14:56:27  schroeter
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/progress_bar_mod.f90
===================================================================
--- palm/trunk/SOURCE/progress_bar_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/progress_bar_mod.f90	(revision 4182)
@@ -25,7 +25,11 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Increase printed length of run identifier,
 ! bugfix for restarts
-! 
+! 1468 2014-09-24 14:06:57Z maronga
+! Added support for progress file PROGRESS which is used in case of batch jobs
 !
 ! Description:
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4182)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4179 2019-08-21 11:16:12Z suehring
 ! Remove debug prints
 ! 
@@ -143,4 +146,7 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
+! 
+! 1496 2014-12-02 17:25:50Z maronga
+! Initial revision
 ! 
 !
Index: palm/trunk/SOURCE/random_function_mod.f90
===================================================================
--- palm/trunk/SOURCE/random_function_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/random_function_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4144 2019-08-06 09:11:47Z raasch
 ! relational operators .EQ., .NE., etc. replaced by ==, /=, etc.
 ! 
@@ -33,5 +36,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
-! 
+!
+! Revision 1.1  1998/02/04 16:09:45  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/random_gauss.f90
===================================================================
--- palm/trunk/SOURCE/random_gauss.f90	(revision 4181)
+++ palm/trunk/SOURCE/random_gauss.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1998/03/25 20:09:47  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/random_generator_parallel_mod.f90
===================================================================
--- palm/trunk/SOURCE/random_generator_parallel_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/random_generator_parallel_mod.f90	(revision 4182)
@@ -25,5 +25,11 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! unused variable removed
+!
+! 1400 2014-05-09 14:03:54Z knoop
+! Initial revision
 ! 
 !
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4131 2019-08-02 11:06:18Z monakurppa
 ! Allocate hom and hom_sum to allow profile output for salsa variables.
 ! 
@@ -59,4 +62,7 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Implementation of the PALM module interface
+! 
+! 2894 2018-03-15 09:17:58Z Giersch
+! Initial revision
 ! 
 !
Index: palm/trunk/SOURCE/run_control.f90
===================================================================
--- palm/trunk/SOURCE/run_control.f90	(revision 4181)
+++ palm/trunk/SOURCE/run_control.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1997/08/11 06:25:38  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- palm/trunk/SOURCE/salsa_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/salsa_mod.f90	(revision 4182)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4167 2019-08-16 11:01:48Z suehring
 ! Changed behaviour of masked output over surface to follow terrain and ignore 
 ! buildings (J.Resler, T.Gronemeier)
@@ -160,5 +163,10 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Implementation of the PALM module interface
-! 
+! 3412 2018-10-24 07:25:57Z monakurppa
+!
+! Authors:
+! --------
+! @author Mona Kurppa (University of Helsinki)
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/singleton_mod.f90
===================================================================
--- palm/trunk/SOURCE/singleton_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/singleton_mod.f90	(revision 4182)
@@ -8,6 +8,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3761 2019-02-25 15:31:42Z raasch
 ! statement added to prevent compiler warning about unused variables
-! 
+!
+! Revision 1.1  2002/05/02 18:56:59  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 4181)
+++ palm/trunk/SOURCE/sor.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Rename variables in mesoscale-offline nesting mode
-! 
+!
+! Revision 1.1  1997/08/11 06:25:56  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- palm/trunk/SOURCE/spectra_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/spectra_mod.f90	(revision 4182)
@@ -25,9 +25,15 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3805 2019-03-20 15:26:35Z raasch
 ! unused variable removed
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Renamed output variables
-! 
+!
+! Revision 1.1  2001/01/05 15:08:07  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/subsidence_mod.f90
===================================================================
--- palm/trunk/SOURCE/subsidence_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/subsidence_mod.f90	(revision 4182)
@@ -25,6 +25,11 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! add subroutine and variable description
-! 
+!
+! Revision 3.7 2009-12-11 14:15:58Z heinze
+! Initial revision 
 !
 ! Description:
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 4181)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4048 2019-06-21 21:00:21Z knoop
 ! Moved tcm_3d_data_averaging to module_interface
 ! 
@@ -47,5 +50,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Implementation of the PALM module interface
-! 
+!
+! Revision 1.1  2006/02/23 12:55:23  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 4181)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 4182)
@@ -25,6 +25,11 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! Modularization of all bulk cloud physics code components
-! 
+!
+! 109 2007-08-28 15:26:47Z letzel
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4129 2019-07-31 12:56:07Z gronemeier
 ! - bugfix: corrected loop over horizontal default surfaces
 ! - change default setting of to_vtk and to_netcdf
@@ -68,5 +71,11 @@
 ! 3648 2019-01-02 16:35:46Z suehring
 ! Rename module and subroutines
-!
+! 3420 2018-10-24 17:30:08Z gronemeier
+! Initial implementation from Klaus Ketelsen and Matthias Suehring
+!
+!
+! Authors:
+! --------
+! @author Klaus Ketelsen, Matthias Suehring, Tobias Gronemeier
 !
 ! Description:
Index: palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 4182)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3987 2019-05-22 09:52:13Z kanani
 ! Introduce alternative switch for debug output during timestepping
 ! 
@@ -53,5 +56,8 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1998/01/23 10:06:06  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/surface_mod.f90	(revision 4182)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Remove functions get_topography_top_index. These are now replaced by 
 ! precalculated arrays because of too much CPU-time consumption
@@ -72,4 +75,7 @@
 ! OpenACC port for SPEC
 ! 
+! 2233 2017-05-30 18:08:54Z suehring
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4148 2019-08-08 11:26:00Z suehring
 ! Remove unused variable
 ! 
@@ -80,4 +83,11 @@
 ! the subroutines in time_integration for better overview.
 ! 
+! 2259 2017-06-08 09:09:11Z gronemeier
+! Initial revision
+!
+! Authors:
+! --------
+! @author Tobias Gronemeier, Matthias Suehring, Atsushi Inagaki, Micha Gryschka, Christoph Knigge
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/temperton_fft_mod.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 4182)
@@ -9,6 +9,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3725 2019-02-07 10:11:02Z raasch
 ! GOTO statements replaced, file re-formatted corresponding to coding standards
-! 
+!
+! Revision 1.1  2003/03/12 16:41:59  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 4181)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4170 2019-08-19 17:12:31Z gronemeier
 ! copy diss, diss_p, tdiss_m to GPU
 ! 
@@ -144,5 +147,8 @@
 ! (otherwise skip_time_* values don't come into affect with dt_do* = 0.0).
 ! Clean up indoor_model and biometeorology model call.
-! 
+!
+! Revision 1.1  1997/08/11 06:19:04  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4181)
+++ palm/trunk/SOURCE/time_integration_spinup.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4064 2019-07-01 05:33:33Z gronemeier
 ! Moved call to radiation module out of intermediate time loop
 ! 
@@ -46,4 +49,7 @@
 ! surface layer fluxes)
 ! 
+! 2296 2017-06-28 07:53:56Z maronga
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/time_to_string.f90
===================================================================
--- palm/trunk/SOURCE/time_to_string.f90	(revision 4181)
+++ palm/trunk/SOURCE/time_to_string.f90	(revision 4182)
@@ -27,4 +27,10 @@
 ! Corrected "Former revisions" section
 ! 
+! 3655 2019-01-07 16:51:22Z knoop
+! Corrected "Former revisions" section
+!
+! Revision 1.1  1997/08/11 06:26:08  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 4181)
+++ palm/trunk/SOURCE/timestep.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4101 2019-07-17 15:14:26Z gronemeier
 ! - consider 2*Km within diffusion criterion as Km is considered twice within
 !   the diffusion of e,
@@ -33,5 +36,8 @@
 ! 3658 2019-01-07 20:28:54Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  1997/08/11 06:26:19  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 4181)
+++ palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 4182)
@@ -25,6 +25,12 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3655 2019-01-07 16:51:22Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! Revision 1.1  2004/01/28 15:34:47  raasch
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 4181)
+++ palm/trunk/SOURCE/transpose.f90	(revision 4182)
@@ -25,7 +25,7 @@
 ! -----------------
 ! $Id$
-! bugfix: define directive added, which has been deleted by mistake in r4180
+! Corrected "Former revisions" section
 ! 
-! 4180 2019-08-21 14:37:54Z scharf
+! 4171 2019-08-19 17:44:09Z gronemeier
 ! loop reordering for performance optimization
 !
@@ -36,5 +36,8 @@
 ! OpenACC port for SPEC
 !
-!------------------------------------------------------------------------------!
+! Revision 1.1  1997/07/24 11:25:18  raasch
+! Initial revision
+!
+!
 ! Description:
 ! ------------
Index: palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 4182)
@@ -25,12 +25,18 @@
 ! -----------------
 ! $Id$
-! bugfix: define directive added, which has been deleted by mistake in r4180
+! Corrected "Former revisions" section
 ! 
-! 4180 2019-08-21 14:37:54Z scharf
+! 3761 2019-02-25 15:31:42Z raasch
 ! OpenACC modification to prevent compiler warning about unused variable
 ! 
 ! 3690 2019-01-22 22:56:42Z knoop
 ! OpenACC port for SPEC
-! 
+!
+! 1212 2013-08-15 08:46:27Z raasch
+! Initial revision.
+! Routines have been moved to seperate module from former file poisfft to here.
+! The tridiagonal matrix coefficients of array tri are calculated only once at
+! the beginning, i.e. routine split is called within tridia_init.
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4177 2019-08-20 14:32:34Z gronemeier
 ! add comment
 ! 
@@ -65,5 +68,13 @@
 ! 3684 2019-01-20 20:20:58Z knoop
 ! Remove unused variable simulated_time
-!
+! 
+! 2696 2017-12-14 17:12:51Z kanani
+! Initial revision
+!
+!
+! Authors:
+! --------
+! @author Tobias Gronemeier
+! @author Hauke Wurps
 !
 ! Description:
Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4181)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4182)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
 ! 
@@ -140,4 +143,7 @@
 ! Implementation of the PALM module interface
 ! 
+! 2007 2016-08-24 15:47:17Z kanani
+! Initial revision
+!
 !
 ! Description:
Index: palm/trunk/SOURCE/user_data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_mask.f90	(revision 4181)
+++ palm/trunk/SOURCE/user_data_output_mask.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 4168 2019-08-16 13:50:17Z suehring
 ! Remove dependency on surface_mod + example for terrain-following output 
 ! adjusted
@@ -37,5 +40,6 @@
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Add terrain-following output
-! 
+! 1036 2012-10-22 13:43:42Z raasch
+! code put under GPL (PALM 3.9)
 !
 ! Description:
Index: palm/trunk/SOURCE/user_flight.f90
===================================================================
--- palm/trunk/SOURCE/user_flight.f90	(revision 4181)
+++ palm/trunk/SOURCE/user_flight.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3768 2019-02-27 14:35:58Z raasch
 ! unused variables commented out + statement added to avoid compiler warnings
 ! 
@@ -30,4 +33,6 @@
 ! Corrected "Former revisions" section
 ! 
+! 1957 2016-07-07 10:43:48Z suehring
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/user_init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/user_init_3d_model.f90	(revision 4181)
+++ palm/trunk/SOURCE/user_init_3d_model.f90	(revision 4182)
@@ -25,9 +25,14 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3768 2019-02-27 14:35:58Z raasch
 ! variables commented out to avoid compiler warnings about unused variables
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
-! 
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: palm/trunk/SOURCE/user_init_flight.f90
===================================================================
--- palm/trunk/SOURCE/user_init_flight.f90	(revision 4181)
+++ palm/trunk/SOURCE/user_init_flight.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3768 2019-02-27 14:35:58Z raasch
 ! statements commented or added to avoid compiler warnings about unused variables
 ! 
@@ -30,4 +33,6 @@
 ! Corrected "Former revisions" section
 ! 
+! 1957 2016-07-07 10:43:48Z suehring
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- palm/trunk/SOURCE/user_init_grid.f90	(revision 4181)
+++ palm/trunk/SOURCE/user_init_grid.f90	(revision 4182)
@@ -25,9 +25,15 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3768 2019-02-27 14:35:58Z raasch
 ! variables commented + statement added to avoid compiler warnings about unused variables
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! dz was replaced by dz(1)
-! 
+!
+! 217 2008-12-09 18:00:48Z letzel
+! +topography_grid_convention
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
Index: palm/trunk/SOURCE/user_init_land_surface.f90
===================================================================
--- palm/trunk/SOURCE/user_init_land_surface.f90	(revision 4181)
+++ palm/trunk/SOURCE/user_init_land_surface.f90	(revision 4182)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3766 2019-02-26 16:23:41Z raasch
 ! unused variables commented out
 ! 
@@ -30,4 +33,6 @@
 ! Corrected "Former revisions" section
 ! 
+! 1496 2014-12-02 17:25:50Z maronga
+! Initial revision
 ! 
 ! Description:
Index: palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 4181)
+++ palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 4182)
@@ -25,9 +25,14 @@
 ! -----------------
 ! $Id$
+! Corrected "Former revisions" section
+! 
+! 3768 2019-02-27 14:35:58Z raasch
 ! unused variables commented out to avoid compiler warnings
 ! 
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
-! 
+!
+! 211 2008-11-11 04:46:24Z raasch
+! Former file user_interface.f90 split into one file per subroutine
 !
 ! Description:
